#include <windows.h>
#include <commctrl.h>

#pragma comment (linker, "/entry:Entry")
#pragma comment (linker, "/subsystem:windows")

#pragma comment (linker, "/merge:.rdata=.text")

#pragma comment (lib, "kernel32.lib")
#pragma comment (lib, "user32.lib")
#pragma comment (lib, "comctl32.lib")



extern DWORD WINAPI Entry (void const * const Arg) {

  HWND Win;
  MSG Msg;

  static char const Name [] = "EDIT";

  HINSTANCE const Inst = GetModuleHandle (0);

  InitCommonControls ();

  Win = CreateWindow (
    Name,
    0,
    (0
      | WS_OVERLAPPEDWINDOW
      | WS_VISIBLE
      | WS_VSCROLL
      | WS_HSCROLL
      | ES_MULTILINE
      //| ES_AUTOHSCROLL
      //| ES_AUTOVSCROLL
    ),
    500, 500, 300, 200,
    GetDesktopWindow (),
    0,
    GetModuleHandle (0),
    0
  );

  if (Win) {

    while (GetMessage (&Msg, Win, 0, 0) == TRUE) {

      TranslateMessage (&Msg);
      DispatchMessage (&Msg);

    }

  }

  DestroyWindow (Win);

  return 0;

}
